Bug 13369 - [Datatables] tr and td are not correctly highlighted
Summary: [Datatables] tr and td are not correctly highlighted
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 13371 13380
  Show dependency treegraph
 
Reported: 2014-12-02 09:47 UTC by Jonathan Druart
Modified: 2016-06-21 21:37 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
without the patch (51.15 KB, image/png)
2014-12-02 09:50 UTC, Jonathan Druart
Details
with the patch (51.29 KB, image/png)
2014-12-02 09:50 UTC, Jonathan Druart
Details
Bug 13369: table should been highlighted correctly when row are grouped (1.95 KB, patch)
2014-12-02 09:53 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 13369: table should been highlighted correctly when row are grouped (2.04 KB, patch)
2014-12-02 13:48 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED OFF] Bug 13369: table should been highlighted correctly when row are grouped (2.07 KB, patch)
2014-12-02 23:25 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
[PASSED QA] Bug 13369: table should been highlighted correctly when row are grouped (2.11 KB, patch)
2014-12-05 15:02 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2014-12-02 09:47:08 UTC
On the fund list, the color line highlighting is not done correctly, see the screenshot.
Comment 1 Jonathan Druart 2014-12-02 09:50:32 UTC
Created attachment 34052 [details]
without the patch
Comment 2 Jonathan Druart 2014-12-02 09:50:56 UTC
Created attachment 34053 [details]
with the patch
Comment 3 Jonathan Druart 2014-12-02 09:53:32 UTC Comment hidden (obsolete)
Comment 4 Owen Leonard 2014-12-02 13:48:57 UTC Comment hidden (obsolete)
Comment 5 Tomás Cohen Arazi 2014-12-02 23:25:35 UTC Comment hidden (obsolete)
Comment 6 Kyle M Hall 2014-12-05 15:02:57 UTC
Created attachment 34147 [details] [review]
[PASSED QA] Bug 13369: table should been highlighted correctly when row are grouped

The css used to highlight the rows comes from staff-global.css
We need a more specific rule to be used.

Test plan:
Go on the fund list view and confirm that the rows are correctly
highlighted.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Tomas Cohen Arazi <tomascohen@gmail.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 7 Tomás Cohen Arazi 2015-01-10 19:18:34 UTC
Patch pushed to master.

Thanks Jonathan!
Comment 8 Chris Cormack 2015-01-12 00:13:38 UTC
Pushed to 3.18.x will be in 3.18.3
Comment 9 Mason James 2015-01-16 23:29:54 UTC
Pushed to 3.16.x, will be in 3.16.7